<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#fff"
    android:orientation="vertical"
    tools:context=".ui.MainActivity">

    <include
        android:id="@+id/bar"
        layout="@layout/commen_titlebar" />


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="40dp"
            android:layout_marginRight="40dp"
            android:orientation="vertical">


            <com.google.android.material.imageview.ShapeableImageView
                android:id="@+id/iv_avater"
                android:layout_width="100dp"
                android:layout_height="100dp"
                app:shapeAppearance="@style/circleStyle"
                android:layout_gravity="center"
                android:src="@color/app_color_f6"
                android:layout_marginTop="28dp" />

            <TextView
                android:id="@+id/tv_avater"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="20dp"
                android:gravity="center"
                android:text="更换头像"
                android:textColor="#ff333333"
                android:textSize="16sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:paddingTop="25dp"
                android:paddingBottom="25dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingRight="15dp"
                    android:text="姓名"
                    android:textColor="#ff333333"
                    android:textSize="16sp" />

                <EditText
                    android:maxLength="30"
                    android:id="@+id/et_nick"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入姓名"
                    android:singleLine="true"
                    android:textColor="#ff333333"
                    android:textColorHint="#ff999999"
                    android:textSize="15sp"
                    android:theme="@style/UpdateUserEditText" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="#FF7D7D7D" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:paddingTop="25dp"
                android:paddingBottom="25dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingRight="15dp"
                    android:text="用户名"
                    android:textColor="#ff333333"
                    android:textSize="16sp" />

                <TextView
                    android:id="@+id/tv_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:text="hongxin"
                    android:textColor="#ff999999"
                    android:textSize="15sp" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="#FF7D7D7D" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:paddingTop="25dp"
                android:paddingBottom="25dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingRight="15dp"
                    android:text="手机号"
                    android:textColor="#ff333333"
                    android:textSize="16sp" />

                <TextView
                    android:id="@+id/tv_phone"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:text="hongxin"
                    android:textColor="#ff999999"
                    android:textSize="15sp" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:background="#FF7D7D7D" />

            <TextView
                android:id="@+id/tv_put"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="100dp"
                android:background="@drawable/shape_btn"
                android:gravity="center"
                android:paddingTop="11dp"
                android:paddingBottom="11dp"
                android:text="确认"
                android:textColor="#ffffffff"
                android:textSize="15sp" />

        </LinearLayout>

    </ScrollView>

</LinearLayout>